# Generated from pdf-writer-1.1.8.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name pdf-writer
%global rubyabi 1.9.1

Summary: A pure Ruby PDF document creation library
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.1.8
Release: 1%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://rubyforge.org/projects/ruby-pdf
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
Requires: %{?scl_prefix}rubygem(color) >= 1.4.0
Requires: %{?scl_prefix}rubygem(transaction-simple) => 1.3
Requires: %{?scl_prefix}rubygem(transaction-simple) < 2
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
This library provides the ability to create PDF documents using only native
Ruby libraries. There are several demo programs available in the demo/
directory. The canonical documentation for PDF::Writer is "manual.pdf", which
can be generated using bin/techbook (just "techbook" for RubyGem users) and
the manual file "manual.pwd".


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --bindir .%{_bindir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x


%files
%dir %{gem_instdir}
%{_bindir}/techbook
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/LICENCE
%doc %{gem_instdir}/demo
%doc %{gem_instdir}/images
%doc %{gem_instdir}/manual.pwd

%changelog
* Fri Mar 15 2013 Steve Linabery <slinaber@redhat.com> - 1.1.8-1
- Initial package
